Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyComm::SequencePullSupplier Interface Reference

Defines the interface used by pull-style suppliers that provide event batches. More...

`import "CosNotifyComm.idl";`

Inheritance diagram for CosNotifyComm::SequencePullSupplier:

[legend]
Collaboration diagram for CosNotifyComm::SequencePullSupplier:

[legend]
List of all members.

## Public Methods
CosNotification::EventBatch | pull_structured_events (in long max_number) raises (CosEventComm::Disconnected)
CosNotification::EventBatch | try_pull_structured_events (in long max_number, out boolean has_event) raises (CosEventComm::Disconnected)
void | disconnect_sequence_pull_supplier ()
| This operation is invoked by the consumer peer when it wishes to disconnect. More...

## Detailed Description

Defines the interface used by pull-style suppliers that provide event batches.

Pull-style suppliers passively provide events to the Notification Service. This particular interface can provide multiple events simultaneously.

## Member Function Documentation

void CosNotifyComm::SequencePullSupplier::disconnect_sequence_pull_supplier | ( |  | ) |

| This operation is invoked by the consumer peer when it wishes to disconnect. The consumer can safely assume that no more events will follow this request.

CosNotification::EventBatch CosNotifyComm::SequencePullSupplier::pull_structured_events | ( | in long | max_number | ) | raises (CosEventComm::Disconnected)

  | Parameters:
  max_number | Maximum number of events expected by the caller.
  Exceptions:
  CosEventComm::Disconnected | if the object considers itself no longer connected to its peer.

CosNotification::EventBatch CosNotifyComm::SequencePullSupplier::try_pull_structured_events | ( | in long | max_number,
|  | out boolean | has_event
| ) | raises (CosEventComm::Disconnected)

  | Parameters:
  max_number | Maximum number of events expected by the caller.
  has_event | Return FALSE if there are no events available, TRUE otherwise.
  Exceptions:
  CosEventComm::Disconnected | if the object considers itself no longer connected to its peer.

The documentation for this interface was generated from the following file:

- CosNotifyComm.idl